/*
 * $Id: ScreenFontsDialog.h,v 1.3 1998/03/04 21:49:43 kalle Exp $
 */

#ifndef _SCREENFONTSDIALOG_H
#define _SCREENFONTSDIALOG_H

#include <qwidget.h>
#include <qstring.h>

#include "lyxdummies.h"

class QLineEdit;

struct ScreenFontsDialogData
{
  QString roman_font;
  QString sans_serif_font;
  QString typewriter_font;
  QString font_norm;
  QString font_zoom;
};


class ScreenFontsDialog : public QWidget
{
  Q_OBJECT

public:
  ScreenFontsDialog ( QWidget * parent=0, const char * name=0, 
						WFlags f=0 ) ;

  void setData( ScreenFontsDialogData* data );
  ScreenFontsDialogData* data() const;

private:
  QLineEdit* romanED;
  QLineEdit* sansserifED;
  QLineEdit* typewriterED;
  QLineEdit* fontnormED;
  QLineEdit* fontzoomED;
};


#endif

/*
 * $Log: ScreenFontsDialog.h,v $
 * Revision 1.3  1998/03/04 21:49:43  kalle
 * More Qt-ified
 *
 * Revision 1.2  1998/01/07 21:04:34  kalle
 * Towards a general customization
 *
 * Revision 1.1  1998/01/02 22:23:33  kalle
 * Kalle:
 * - new images for the binary relations math browser
 * - implemented the bianry relations math browser (still buggy)
 * - started the tab dialog for ScreenOptions
 *
 * Revision 1.1  1997/12/26 22:39:58  kalle
 * Kalle:
 * - Changed ScreenOptions dialog to KDE/Qt version
 * - Changed SpellcheckerOptions dialog to KDE/Qt version
 * - Removed old toolbar
 *
 */
